#!/bin/bash
echo "Installing slic3r source version"
DIR=`pwd`
echo "#!/bin/sh" > repetierHost
echo "cd ${DIR}" >> repetierHost
echo "mono RepetierHost.exe -home ${DIR}&" >> repetierHost
sudo chmod 755 repetierHost
sudo chmod a+rx ../RepetierHost
sudo chmod -R a+r *
sudo chmod -R a+x data
sudo chmod -R a+rwx Slic3r
sudo chmod a+x installDep*
sudo rm /usr/bin/repetierHost
sudo ln -s ${DIR}/repetierHost /usr/bin/repetierHost
# Make sure current user h	as dialout group access
username=`whoami`
echo "Checking if you are in the dialout group."
if grep ${username} /etc/group|grep -c dialout; then
  echo "User already in dialout group. Adding not required."
else
  echo "Adding user ${username} to the dialout group."
  if [ "$(id -u)" != "0" ]; then
    sudo adduser $username dialout
  else
    adduser $username dialout
  fi
  echo "You need to login again in order to connect to your printer."
fi

echo "Configuration finished."
#echo "Make sure, your user has permission to connect to the serial port."
#echo "For debian and clones use:"
#echo "usermod -a -G dialout yourUserName"
echo "IMPORTANT: The host works natively with the source version for linux."
echo "Check https://github.com/alexrj/Slic3r/wiki/Running-Slic3r-from-git-on-GNU-Linux"
echo "on how to resolve all dependencies. You can omit the 'Get slic3r' section."
echo ""
if [ -f /usr/bin/yum ]
then
  echo "Fedora like yum installer detected." 
  echo "Please use the Slic3r included in Fedora/Redhat or install your preferred version."
  while true; do
    read -p "Shall I try to install required mono libraries [y/n]?" yn
    case $yn in
        [Yy]* ) sudo yum install mono-devel; break;;
        [Nn]* ) break;;
        * ) echo "Please answer yes or no.";;
    esac
  done    
fi
if [ -f /usr/bin/apt-get ]
then
echo "Debian/Ubuntu like linux detected. You can try to"
echo "install needed software automatically. You can do this any time later"
echo "by running installDependenciesDebian."
  while true; do
    read -p "Shall I try to install required modules [y/n]?" yn
    case $yn in
        [Yy]* ) sudo ./installDependenciesDebian; break;;
        [Nn]* ) break;;
        * ) echo "Please answer yes or no.";;
    esac
  done    
fi
echo ""
bash ${DIR}/createDesktopIcon.sh

